#define SLAVE_NOT_RESPONSE	1
#define OK							0
#define NOT_WAKE_STREEM		2
#define CRC_INCORRECT			3

#define SEC_NSEC	1000000000LL
#define mSEC_NSEC	1000000LL
#define mkSEC_NSEC	1000LL

/**************************************************************************************************/
/*																																		*/
/*		char * P - pointer to string-name port. Example: /dev/ser1															*/
/*		long baud - baud rate need																								*/
/*		return - file designator																									*/
/*																																		*/
/**************************************************************************************************/
int OpenCOM (char * P , long baud);
/**************************************************************************************************/
/*																																		*/
/*		int fd - file designator																										*/
/*																																		*/
/**************************************************************************************************/
int CloseCOM (int fd);
/**************************************************************************************************/
/*																																		*/
/*		unsigned char *ADDR - adress variable keeping adress destination device									*/
/*		unsigned char *CMD - adress variable keeping command	resieved												*/
/*		unsigned char *N - number byte message ressieved																*/
/*		unsigned char *data - pointer to massive message																	*/
/*		uint64_t timeout_packet - time wait start of message																*/
/*		uint64_t timeout_disconnect - time wait new byte message inside message									*/
/*		int fd - file designator openned port																					*/
/*																																		*/
/**************************************************************************************************/
unsigned char  RxFrame (unsigned char * ADDR, unsigned char * CMD, unsigned char * N, unsigned char *data,
								 uint64_t timeout_packet, uint64_t timeout_disconnect,int fd);
/**************************************************************************************************/
/*																																		*/
/*		unsigned char ADDR - adress destination device 0 if adress ton need											*/
/*		unsigned char CMD - command																							*/
/*		unsigned char N - nimber byte message need transmite															*/
/*		unsigned char *data - pointer to massive message																	*/
/*		int fd - file designator openned port																					*/
/*																																		*/
/**************************************************************************************************/
unsigned char TxFrame (unsigned char ADDR, unsigned char CMD, unsigned char N, unsigned char *data, int fd);
/**************************************************************************************************/
/*																																		*/
/*		iunsigned char *buf - pointer to buffer data																			*/
/*		unsigned int len - lenght data in to buffer																				*/
/*		unsigned char crc- first initialisation value																			*/
/*																																		*/
/**************************************************************************************************/
unsigned char crc8 (unsigned char *buf, unsigned int len, unsigned char crc);
